Edit: I corrected this by reinstalling wpa_supplicant.

WLAN card = EW-7728In
Driver = 2010_01_29_RT2860_Linux_STA. version 2.3.0.0

I installed RA2860 with ease on the latest versions of Ubuntu and Backtrack 3. But in Backtrack 4 things haven't been without trouble. At first I downloaded the newest driver 2010_01_29_RT2860_Linux_STA_v2.3.0.0. from ralinktech.com, extracted it, compiled it, inserted the module and cp'ed RA2860.sta to it's destined place; and I got it up and running flawlessly with Wicd just right after. However, after I rebooted I was unable to establish a connection. I have tried reinstalling RT2860, tried other drivers in wicd, other network tools(iwconfig, iwpriv) and all without results.

I'm at my wits end on this one. I have no idea what the cause(s) might be neither much knowledge of interface manipulation on GNU/Linux systems. Apart from this, my experience with BT4 has been quite satisfactory.

Thanks in advance.